Page MenuHomePhabricator

NPE crash from page.ToCHandler$2.onDrawerOpened when opening the left hamburger (TOC) before page is loaded
Closed, ResolvedPublic

Description

USER_COMMENT= see task topic
ANDROID_VERSION=4.4.4
APP_VERSION_NAME=2.0-alpha-2015-04-14
BRAND=google
PHONE_MODEL=Nexus 5
CUSTOM_DATA=api = he.m.wikipedia.org
title = עמוד ראשי

STACK_TRACE=java.lang.NullPointerException
at org.wikipedia.page.ToCHandler$2.onDrawerOpened(ToCHandler.java:101)
at android.support.v4.widget.DrawerLayout.dispatchOnDrawerOpened(DrawerLayout.java:656)
at android.support.v4.widget.DrawerLayout.updateDrawerState(DrawerLayout.java:616)
at android.support.v4.widget.DrawerLayout$ViewDragCallback.onViewDragStateChanged(DrawerLayout.java:1627)
at android.support.v4.widget.ViewDragHelper.setDragState(ViewDragHelper.java:873)
at android.support.v4.widget.ViewDragHelper$2.run(ViewDragHelper.java:335)
at android.os.Handler.handleCallback(Handler.java:733)
at android.os.Handler.dispatchMessage(Handler.java:95)
at android.os.Looper.loop(Looper.java:136)
at android.app.ActivityThread.main(ActivityThread.java:5001)
at java.lang.reflect.Method.invokeNative(Native Method)
at java.lang.reflect.Method.invoke(Method.java:515)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:785)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:601)
at dalvik.system.NativeStart.main(Native Method)

Details

Related Gerrit Patches:

Event Timeline

Matanya created this task.Apr 17 2015, 11:34 AM
Matanya raised the priority of this task from to Needs Triage.
Matanya updated the task description. (Show Details)
Matanya added a subscriber: Matanya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 11:34 AM
Matanya renamed this task from app crashes when clicking the left hambuerger before main page is loaded to app crashes when clicking the left hambuerger (TOC) before main page is loaded.Apr 17 2015, 11:35 AM
Matanya set Security to None.
Krenair renamed this task from app crashes when clicking the left hambuerger (TOC) before main page is loaded to NPE crash from page.ToCHandler$2.onDrawerOpened when opening the left hamburger (TOC) before page is loaded.Apr 19 2015, 8:33 PM

Change 205234 had a related patch set uploaded (by Dbrant):
Disable pulling of ToC before page has finished loading.

https://gerrit.wikimedia.org/r/205234

Dbrant claimed this task.Apr 20 2015, 12:35 PM
Dbrant moved this task from To Do to Code Review on the Mobile-App-Sprint-55-Android board.
Dbrant added a subscriber: Dbrant.

Change 205234 merged by jenkins-bot:
Disable pulling of ToC before page has finished loading.

https://gerrit.wikimedia.org/r/205234

Deskana closed this task as Resolved.Apr 23 2015, 8:51 PM
Deskana moved this task from Ready for Signoff to Done on the Mobile-App-Sprint-55-Android board.
Deskana added a subscriber: Deskana.
Dbrant triaged this task as High priority.May 2 2015, 8:26 PM

Change 208663 had a related patch set uploaded (by Dbrant):
Fix possible NPE when pulling out ToC.

https://gerrit.wikimedia.org/r/208663

Change 208663 merged by jenkins-bot:
Fix possible NPE when pulling out ToC.

https://gerrit.wikimedia.org/r/208663

@Etonkovidova Please test with today's alpha (or later).

Checked with 2.0.101-alpha-2015-05-05 large articles - 'Barack Obama', 'India', 'Cat'.

Change 216110 had a related patch set uploaded (by Dbrant):
Fix possible crash when pulling out ToC (for real).

https://gerrit.wikimedia.org/r/216110

Change 216110 merged by jenkins-bot:
Fix possible crash when pulling out ToC (for real).

https://gerrit.wikimedia.org/r/216110

Checked 2.0.102-alpha-2015-06-09 on GT-P7510(tablet 4.0.4) on English wiki.

The content can be pulled/clicked before the whole article is fully loaded.

Deskana removed a subscriber: Deskana.Jun 10 2015, 10:04 PM
Dbrant closed this task as Resolved.Jun 23 2015, 2:51 AM